<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>HW-3</title>
</head>
<body>
<!--Реализовать класс Employee, в котором будут следующие свойства - 
    name (имя), age (возраст), salary (зарплата).
Сделайте так, чтобы эти свойства заполнялись при создании объекта.-->
<!--Сделайте геттеры и сеттеры для этих свойств.-->
<!--Сделайте класс Programmer, который будет наследоваться от класса Employee,
у которого будет свойство lang (список языков)-->
<!--Для класса Programmer перезапишите геттер для свойства salary. Пусть он возвращает свойство
salary умноженное на 3.-->
<!--Создайте несколько экземпляров обьекта Programmer, выведите их в консоль.-->
<script>
class Employee {
    constructor(name, age, salary) {
        this.name = name;
        this.age = age;
        this.salary = salary;
    }

    get newName() {
        return this._newName;
    }
    set newName(val) {
        this._newName = val;
    }

    get newAge() {
        return this._newAge;
    }

    set newAge(val) {
        this._newAge = val;
    }

    get salary() {
        return this._salary;
    }

    set salary(val) {
        this._salary = val*3;
    }

}

class Programmer extends Employee {
    constructor(name, age, salary, lang) {
        super(name, age, salary);
        this.lang = lang;
    }

}
const programmer = new Programmer("Ivan", 35, 2300, 'Ua');
console.log(programmer.lang);
programmer.salary = 2300;
console.log(programmer.salary);

</script>

</body>
</html>